Associate Collection

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/collection
API call form
Examples

Collections let you organize your dashboards and datasets just the way you like them.

Favorite collections cannot be shared with users or groups. Updating an association cannot leave a collection without at least one owner.

Request parametersResponse schema
Expand all Reset
id *UUIDrequired

The unique identifier of the entity

resource *OBJECTrequired
role *STRINGrequired
id *UUIDrequired
properties OBJECT
flagRead BOOLEAN
flagUse BOOLEAN
flagModify BOOLEAN
flagOwn BOOLEAN
Can be executed by:
Entity Modifier
&
Securable Reader
(For: Securables)
Entity Owner
&
Organization Editor
(For: Users)
Entity Owner
&
Group Member
(For: Groups)
Can be associated to:
Users
Groups
Securables
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "68138b8d-f76b-4dcd-8d0c-d73f9c39c81a",
  "name": {
    "en": "Updated Collection"
  },
  "favorite": false,
  "created_at": "2024-02-20T20:29:14.152Z",
  "updated_at": "2024-02-20T20:29:14.152Z",
  "deleted_at": null
}